summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-08-20 09:07:13 +0300
committerMart Raudsepp <leio@gentoo.org>2018-08-20 09:11:38 +0300
commit6c50f5a936318aa51ece069011ebdbdba446d51d (patch)
tree785efd6f56ceae7886684de5a4ef829893f7017e /dev-cpp
parentdev-util/glib-utils: bump to 2.56.2; now ships the python build utils (diff)
downloadgentoo-6c50f5a936318aa51ece069011ebdbdba446d51d.tar.gz
gentoo-6c50f5a936318aa51ece069011ebdbdba446d51d.tar.bz2
gentoo-6c50f5a936318aa51ece069011ebdbdba446d51d.zip
dev-cpp/glibmm: bump to 2.56.0
Bug: https://bugs.gentoo.org/657562 Package-Manager: Portage-2.3.47, Repoman-2.3.10
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/glibmm/Manifest1
-rw-r--r--dev-cpp/glibmm/glibmm-2.56.0.ebuild65
2 files changed, 66 insertions, 0 deletions
diff --git a/dev-cpp/glibmm/Manifest b/dev-cpp/glibmm/Manifest
index aef4ee6c942..49475c5066a 100644
--- a/dev-cpp/glibmm/Manifest
+++ b/dev-cpp/glibmm/Manifest
@@ -1,3 +1,4 @@
DIST glibmm-2.50.1.tar.xz 6444576 BLAKE2B dbbdb79d8de9510f9bec770523ca7f4c93d287cbd9890b2fbc08712f6a2815186ee792f6339820a14aa9e4d49c9d1735c6c6651994cc4e03549f0d96b33f87ad SHA512 4f25c75c1628ca2f4db1c29cebc63187d372603066b06aa6a66c6da792f9e02cb4a413e41f058a81e2d5a2b38d625de13df76115b278f010ce2fc493fe6e6bbb
DIST glibmm-2.52.1.tar.xz 6451164 BLAKE2B 740178b51a2263ecc4778833fa6f2fd3913cdfc4e93b1a732a1b0ec9d43eb4ed60ab6bea48e02081d75a3ec1f98a149ebff47ced54dcce07e7ae011b2d20452d SHA512 702158762cb28972b315ab98dc00a62e532bda08b6e76dc2a2556e8cb381c2021290891887a4af2fbff5a62bab4d50581be73037dc8e0dc47d5febd6cbeb7bda
DIST glibmm-2.54.1.tar.xz 6837384 BLAKE2B 98e4acb5b80786a27195bea43cc425a45219078ef839e97c60c9e3f52b3a0b3c928e19469d679529b5091d8ac1953d4f315ea75618c3fcc8f33d15f6565b5783 SHA512 94f2a4d6972684e25e38ff2e6bcfc1e9c5e4d096856d3419320c14166e27e26b1ad69be434337e9b70c23842989988113521aae7a800ef2f29e81f1ae6c25a13
+DIST glibmm-2.56.0.tar.xz 6859520 BLAKE2B 8d7f0120de211002d587e6ec0d3750dcdce60abae6506395b318be876d5ed680b1451920063f06d6d9655137d50482a9ba936caa0f6da127bb3855e43b4d877f SHA512 65e577009019e30e340ae5fe6e4c854e5a75551b2eb83ad85403d73eb4e77879783162d4c3c354bc37be0be842f0ddffc1977021a5e0c32985fb596d86929c08
diff --git a/dev-cpp/glibmm/glibmm-2.56.0.ebuild b/dev-cpp/glibmm/glibmm-2.56.0.ebuild
new file mode 100644
index 00000000000..f1bd461d832
--- /dev/null
+++ b/dev-cpp/glibmm/glibmm-2.56.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2 multilib-minimal
+
+DESCRIPTION="C++ interface for glib2"
+HOMEPAGE="https://www.gtkmm.org"
+
+LICENSE="LGPL-2.1+ GPL-2+" # GPL-2+ applies only to the build system
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="doc debug test"
+
+RDEPEND="
+ >=dev-libs/libsigc++-2.9.1:2[${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.55.1:2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+# dev-cpp/mm-common needed for eautoreconf
+
+src_prepare() {
+ if ! use test; then
+ # don't waste time building tests
+ sed 's/^\(SUBDIRS =.*\)tests\(.*\)$/\1\2/' \
+ -i Makefile.am Makefile.in || die "sed 1 failed"
+ fi
+
+ # don't build examples - we want to install example sources, not binaries
+ sed 's/^\(SUBDIRS =.*\)examples\(.*\)$/\1\2/' \
+ -i Makefile.am Makefile.in || die "sed 2 failed"
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" gnome2_src_configure \
+ $(use_enable debug debug-refcounting) \
+ $(multilib_native_use_enable doc documentation) \
+ --enable-deprecated-api
+}
+
+multilib_src_test() {
+ cd tests
+ default
+
+ for i in */test; do
+ ${i} || die "Running tests failed at ${i}"
+ done
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ find examples -type d -name '.deps' -exec rm -rf {} \; 2>/dev/null
+ find examples -type f -name 'Makefile*' -exec rm -f {} \; 2>/dev/null
+ dodoc -r examples
+}